summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-12-29 11:52:16 +0100
committerHans de Graaff <graaff@gentoo.org>2015-12-29 14:21:44 +0100
commit4a0600f53eb12d886654ebc023f8744052c1cb70 (patch)
tree1103a6509883a9a4b7494d25c47537460cce8f81 /app-eselect/eselect-ruby
parentmedia-libs/libyami: bump to 0.3.1 (diff)
downloadgentoo-4a0600f53eb12d886654ebc023f8744052c1cb70.tar.gz
gentoo-4a0600f53eb12d886654ebc023f8744052c1cb70.tar.bz2
gentoo-4a0600f53eb12d886654ebc023f8744052c1cb70.zip
app-eselect/eselect-ruby: add ruby23 version, bug 569974
Also switch to EAPI=5. Package-Manager: portage-2.2.24
Diffstat (limited to 'app-eselect/eselect-ruby')
-rw-r--r--app-eselect/eselect-ruby/Manifest1
-rw-r--r--app-eselect/eselect-ruby/eselect-ruby-20151229.ebuild23
2 files changed, 24 insertions, 0 deletions
diff --git a/app-eselect/eselect-ruby/Manifest b/app-eselect/eselect-ruby/Manifest
index ac8ed7b336c..95750cb5dd9 100644
--- a/app-eselect/eselect-ruby/Manifest
+++ b/app-eselect/eselect-ruby/Manifest
@@ -1,2 +1,3 @@
DIST ruby.eselect-20131227.bz2 1920 SHA256 b425962f9898ceb8bcdbb55d9648f3d98b82a916c4afa95b2fb1ddcd39cc3689 SHA512 9f13d4a6dc45923f88b145984f9c537846d4cb937b73c2be916792c70ff3c751f1e12b76f33686e35053bf6af1392e6c7e276f06dfb728e6a20f6335f739b784 WHIRLPOOL 38135af69952aff7cf874608365029947733733d33a3c586367ccf6fceb1bf2236781c9fe554a5654f720c19ef0fb0bd3dd5773a108386c6185a2fc2d94ac37b
DIST ruby.eselect-20141227.bz2 1926 SHA256 eef9af23d4990f6a1b8b0b921ec7de9087143486b6a0faf076bdc90e093dd83a SHA512 f8fb92c171cf653da22402785d80a671e4b4c7eeea9f41c33a70475264aa2d7e5f62c998e5f63ff011f9f4e1953d75022c23e1dfc3ef81041168167fa301560c WHIRLPOOL 5f6be4dcba75fd7f252b9037417be707f0528c14075f01ad644f9ebcac7032ae96278ba1bcbd79b6d9b265699f9cfaf532fe58ae10e057ebfeb89de34c6be3be
+DIST ruby.eselect-20151229.xz 1900 SHA256 29d6ae00efc58c0a60b0b3d429b4933a059cd25063b9e6f07aa6113a9d2f2b81 SHA512 a11b0d0694278b231fa07aa0dc2f1cb252faed7a70c26f8ded51ee922ce0c50076f748f9acd38e02394ccdbeaf2722d2f53ed335cab539faa19d943548c2d89b WHIRLPOOL 227d279c95e15d741c8347ec9abf652680a528998c7800599db9c7bb31a16f97733b110baa96bcf94c6d4910288af36e62e400787f3a3f3ab6661b42198db1b2
diff --git a/app-eselect/eselect-ruby/eselect-ruby-20151229.ebuild b/app-eselect/eselect-ruby/eselect-ruby-20151229.ebuild
new file mode 100644
index 00000000000..61ac3c7f299
--- /dev/null
+++ b/app-eselect/eselect-ruby/eselect-ruby-20151229.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Manages multiple Ruby versions"
+HOMEPAGE="https://www.gentoo.org"
+SRC_URI="https://dev.gentoo.org/~flameeyes/ruby-team/ruby.eselect-${PVR}.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND=">=app-admin/eselect-1.0.2"
+
+S=${WORKDIR}
+
+src_install() {
+ insinto /usr/share/eselect/modules
+ newins "${WORKDIR}/ruby.eselect-${PVR}" ruby.eselect || die
+}